# QuickStart

## 1. Install Fiamma

You can refer to the [Installation](/our-product-suite/bitvm-powered-zkp-verification-layer/user-guides/installation.md) section to install the fiammad binary program

## 2. Generate Fiamma Address

You can refer to the [Add Keys](/our-product-suite/bitvm-powered-zkp-verification-layer/user-guides/manage-keys.md#list-keys) section to  generate a fiamma address&#x20;

## 3. Get Testnet Token

You can refer to the [Get $FIA](/our-product-suite/bitvm-powered-zkp-verification-layer/user-guides/wallet-and-tokens/get-fia.md) section to  get some testnet token

## 4. Submit Proof for Verification

Before you can use fiammad cli to submit proof , you need to prepare the proof for testing, and a simple way to do this is to use the [fiamma git repository](https://github.com/fiamma-chain/fiamma/tree/main/prover_examples) provides some test proof files.

If you have cloned the fiamma repository as instructed earlier, you can navigate to the root directory of the fiamma repository and then use the script and your previously created account to send transactions quickly.

You can also manually construct a transaction to send based on the contents of the submit\_proof.sh script, which works either way

```bash
cd fiamma/script/cli
./submit_proof.sh alice 
```

## 5. Check Verification Results

After you submit the transaction in the manner described in step 4, you can use the scripts in scirpt/cli to query and verify the results.

```bash
./query_verify_result.sh
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.fiammalabs.io/our-product-suite/bitvm-powered-zkp-verification-layer/user-guides/quickstart.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
